Subject: Re: kernel panic in fib_rules_lookup [2.6.27.7 vendor-patched]

From: "\"Oleg A. Arkhangelsky\"" <[email-masked]>
Date: Sat, 23 Oct 2010 21:37:00 +0400

23.10.2010, 20:36, "Eric Dumazet" <[email-masked]>:

> With a normal workload, on a dual cpu machine, a missing memory barrier
> can stay un-noticed for quite a long time. The race window is so small
> that probability for the bug might be 0.0000001 % or something like
> that :(

Eric, I'd like to remind you that I've faced the similar problem on simple x86.

See http://kerneltrap.org/mailarchive/linux-netdev/2010/3/9/6271568

Two main differences for our case:

1) There is no userspace workload (except for bgpd), no changes in interfaces
2) We are not using multiple routing tables

This panic was pretty rare in our case  (not more that 2 times per month).

Currently we're running fine with disabled CONFIG_IP_MULTIPLE_TABLES.

-- 
wbr, Oleg.